Subject: Re: [bug-diffutils] bug#33128: cmp -l misses differences

From: Paul Eggert <[email-masked]>
Date: Tue, 23 Oct 2018 17:07:47 -0700

On 10/23/18 5:44 AM, Hans-Joachim Baader wrote:
> it seems that "cmp -l" doesn't list all differences. The attached blobs differ
> among others at positions 0x437 (1079), 0x4b7 (1207) and 0x5b7 (1463).

cmp uses origin 1, not origin 0, and it reports all the positions you 
mentioned; it just adds 1 to them.